<template>
  <div class="row border-bottom">
    <nav class="navbar navbar-static-top  " role="navigation" style="margin-bottom: 0">
      <div class="navbar-header">
        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#">
          <i class="fa fa-bars"></i>
        </a>

        <form role="search" class="navbar-form-custom" action="#">
          <div class="form-group">
            <input type="text" placeholder="Search for something..." class="form-control" name="top-search" id="top-search">
          </div>
        </form>
      </div>
      <ul class="nav navbar-top-links navbar-right">
        <li>
          <span class="m-r-sm text-muted welcome-message">Welcome! </span>
        </li>
        <li class="hide-on-med-and-down">
          <a @click="logout">
             <i class="fa fa-sign-out"></i> Logout
          </a>
        </li>
      </ul>
    </nav>
  </div>
</template>
<script>
  import Vue from 'vue'
  import { mapActions } from 'vuex'
  export default {
    methods: {
      ...mapActions({
        logout: 'logout'
      }),
    }
  }
</script>
